import { ErrorNotification } from '../types';
export declare class NotificationBuilder {
    private autoClose;
    private closeTimeout;
    private type;
    withAutoClose(autoClose: boolean): NotificationBuilder;
    withCloseTimeout(closeTimeout: number): NotificationBuilder;
    withType(type: 'warning' | 'success' | ''): NotificationBuilder;
    build(): ErrorNotification;
}
export declare const getNotificationBuilder: () => NotificationBuilder;
//# sourceMappingURL=notification-builder.d.ts.map